Subject: [bug#50862] Launching the KDE Plasma session

From: phodina <[email-masked]>
Date: Sat, 27 Aug 2022 21:14:41 +0000

Hi,

small update. I'm able to launch the X11 KDE Plasma session.

However, I get just black screen with bottom bar without any widgets.

It's possible to launch apps in the kwin like alacritty, dolphin, konsole but some packages through lots of QML errors and don't run.

Wayland session does not run - SDDM attempts to run it switching to black screen and then back to SDDM.

I've patched the binaries in plasma-workspace package and packaged more stuff.

Does anybody know how to make Plasma usable? My guess is it will need some config files and patches.

Also this patch set is getting little bit long. The best approach would be to upstream the KDE updates without the new Plasma packages. They can come in the next round. What do you think?

----
Petr